/*
 *  desktop clock home widget for the maemo desktop.
 *  Copyright (C) 2010 Nicolai Hess
 *  
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef _DESKTOP_CLOCK_WIDGET_
#define _DESKTOP_CLOCK_WIDGET_

#include <glib-object.h>

#include <libhildondesktop/libhildondesktop.h>

G_BEGIN_DECLS

typedef struct _DesktopClockWidgetHomePlugin DesktopClockWidgetHomePlugin;
typedef struct _DesktopClockWidgetHomePluginClass DesktopClockWidgetHomePluginClass;
typedef struct _DesktopClockWidgetHomePluginPrivate DesktopClockWidgetHomePluginPrivate;

#define DESKTOP_CLOCK_WIDGET_TYPE_HOME_PLUGIN (desktop_clock_widget_home_plugin_get_type())
#define DESKTOP_CLOCK_WIDGET_HOME_PLUGIN(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DESKTOP_CLOCK_WIDGET_TYPE_HOME_PLUGIN, DesktopClockWidgetHomePlugin))
#define DESKTOP_CLOCK_WIDGET_HOME_PLUGIN_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DESKTOP_CLOCK_WIDGET_TYPE_HOME_PLUGIN, DesktopClockWidgetHomePluginClass))
#define DESKTOP_CLOCK_WIDGET_IS_HOME_PLUGIN(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DESKTOP_CLOCK_WIDGET_TYPE_HOME_PLUGIN))
#define DESKTOP_CLOCK_WIDGET_IS_HOME_PLUGIN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), DESKTOP_CLOCK_WIDGET_TYPE_HOME_PLUGIN))
#define DESKTOP_CLOCK_WIDGET_HOME_PLUGIN_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DESKTOP_CLOCK_WIDGET_TYPE_HOME_PLUGIN, DesktopClockWidgetHomePluginClass))

struct _DesktopClockWidgetHomePlugin
{
  HDHomePluginItem hitem;
  DesktopClockWidgetHomePluginPrivate* priv;
};

struct _DesktopClockWidgetHomePluginClass
{
  HDHomePluginItemClass parent_class;
};

GType desktop_clock_widget_home_plugin_get_type(void);

G_END_DECLS
#endif
